Reply To: problems with isos not playing with 3.0

HomeForumsGeneral Discussionproblems with isos not playing with 3.0Reply To: problems with isos not playing with 3.0

Author Replies
stalker # Posted on 2011-12-28 at 07:46AM UTC
avatar

what about need for speed hot pursuit?that is an ap 2.5 game but no patch for it yet out so it can play on lt+3.0?